IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/16
Addresses2^112
/64 networks2^48
- Network
fcfe::/16- First address
fcfe::- Last address
fcfe:ffff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
- /64 networks (LANs)
- 281,474,976,710,656 (2^48)
- Full form
fcfe:0000:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
e.f.c.f.ip6.arpa
Split into smaller subnets
fcfe::/16 makes 256 subnets of /24.
| # | Subnet | Last address |
|---|---|---|
| 1 | fcfe::/24 | fcfe:ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fcfe:100::/24 | fcfe:1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fcfe:200::/24 | fcfe:2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fcfe:300::/24 | fcfe:3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fcfe:400::/24 | fcfe:4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fcfe:500::/24 | fcfe:5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fcfe:600::/24 | fcfe:6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fcfe:700::/24 | fcfe:7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fcfe:800::/24 | fcfe:8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fcfe:900::/24 | fcfe:9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fcfe:a00::/24 | fcfe:aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fcfe:b00::/24 | fcfe:bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fcfe:c00::/24 | fcfe:cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fcfe:d00::/24 | fcfe:dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fcfe:e00::/24 | fcfe:eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fcfe:f00::/24 | fcfe:fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fcfe:1000::/24 | fcfe:10ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fcfe:1100::/24 | fcfe:11ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fcfe:1200::/24 | fcfe:12ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fcfe:1300::/24 | fcfe:13ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fcfe:1400::/24 | fcfe:14ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fcfe:1500::/24 | fcfe:15ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fcfe:1600::/24 | fcfe:16ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fcfe:1700::/24 | fcfe:17ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fcfe:1800::/24 | fcfe:18ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fcfe:1900::/24 | fcfe:19ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fcfe:1a00::/24 | fcfe:1aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fcfe:1b00::/24 | fcfe:1bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fcfe:1c00::/24 | fcfe:1cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fcfe:1d00::/24 | fcfe:1dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fcfe:1e00::/24 | fcfe:1eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fcfe:1f00::/24 | fcfe:1fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fcfe:2000::/24 | fcfe:20ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fcfe:2100::/24 | fcfe:21ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fcfe:2200::/24 | fcfe:22ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fcfe:2300::/24 | fcfe:23ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fcfe:2400::/24 | fcfe:24ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fcfe:2500::/24 | fcfe:25ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fcfe:2600::/24 | fcfe:26ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fcfe:2700::/24 | fcfe:27ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fcfe:2800::/24 | fcfe:28ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fcfe:2900::/24 | fcfe:29ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fcfe:2a00::/24 | fcfe:2aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fcfe:2b00::/24 | fcfe:2bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fcfe:2c00::/24 | fcfe:2cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fcfe:2d00::/24 | fcfe:2dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fcfe:2e00::/24 | fcfe:2eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fcfe:2f00::/24 | fcfe:2fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fcfe:3000::/24 | fcfe:30ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fcfe:3100::/24 | fcfe:31ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fcfe:3200::/24 | fcfe:32ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fcfe:3300::/24 | fcfe:33ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fcfe:3400::/24 | fcfe:34ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fcfe:3500::/24 | fcfe:35ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fcfe:3600::/24 | fcfe:36ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fcfe:3700::/24 | fcfe:37ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fcfe:3800::/24 | fcfe:38ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fcfe:3900::/24 | fcfe:39ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fcfe:3a00::/24 | fcfe:3aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fcfe:3b00::/24 | fcfe:3bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fcfe:3c00::/24 | fcfe:3cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fcfe:3d00::/24 | fcfe:3dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fcfe:3e00::/24 | fcfe:3eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fcfe:3f00::/24 | fcfe:3fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fcfe:4000::/24 | fcfe:40ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fcfe:4100::/24 | fcfe:41ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fcfe:4200::/24 | fcfe:42ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fcfe:4300::/24 | fcfe:43ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fcfe:4400::/24 | fcfe:44ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fcfe:4500::/24 | fcfe:45ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fcfe:4600::/24 | fcfe:46ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fcfe:4700::/24 | fcfe:47ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fcfe:4800::/24 | fcfe:48ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fcfe:4900::/24 | fcfe:49ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fcfe:4a00::/24 | fcfe:4aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fcfe:4b00::/24 | fcfe:4bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fcfe:4c00::/24 | fcfe:4cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fcfe:4d00::/24 | fcfe:4dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fcfe:4e00::/24 | fcfe:4eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fcfe:4f00::/24 | fcfe:4fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fcfe:5000::/24 | fcfe:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fcfe:5100::/24 | fcfe:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fcfe:5200::/24 | fcfe:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fcfe:5300::/24 | fcfe:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fcfe:5400::/24 | fcfe:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fcfe:5500::/24 | fcfe:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fcfe:5600::/24 | fcfe:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fcfe:5700::/24 | fcfe:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fcfe:5800::/24 | fcfe:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fcfe:5900::/24 | fcfe:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fcfe:5a00::/24 | fcfe:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fcfe:5b00::/24 | fcfe:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fcfe:5c00::/24 | fcfe:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fcfe:5d00::/24 | fcfe:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fcfe:5e00::/24 | fcfe:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fcfe:5f00::/24 | fcfe:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fcfe:6000::/24 | fcfe:60ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fcfe:6100::/24 | fcfe:61ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fcfe:6200::/24 | fcfe:62ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fcfe:6300::/24 | fcfe:63ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fcfe:6400::/24 | fcfe:64ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fcfe:6500::/24 | fcfe:65ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fcfe:6600::/24 | fcfe:66ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fcfe:6700::/24 | fcfe:67ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fcfe:6800::/24 | fcfe:68ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fcfe:6900::/24 | fcfe:69ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fcfe:6a00::/24 | fcfe:6aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fcfe:6b00::/24 | fcfe:6bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fcfe:6c00::/24 | fcfe:6cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fcfe:6d00::/24 | fcfe:6dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fcfe:6e00::/24 | fcfe:6eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fcfe:6f00::/24 | fcfe:6fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fcfe:7000::/24 | fcfe:70ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fcfe:7100::/24 | fcfe:71ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fcfe:7200::/24 | fcfe:72ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fcfe:7300::/24 | fcfe:73ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fcfe:7400::/24 | fcfe:74ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fcfe:7500::/24 | fcfe:75ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fcfe:7600::/24 | fcfe:76ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fcfe:7700::/24 | fcfe:77ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fcfe:7800::/24 | fcfe:78ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fcfe:7900::/24 | fcfe:79ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fcfe:7a00::/24 | fcfe:7aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fcfe:7b00::/24 | fcfe:7bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fcfe:7c00::/24 | fcfe:7cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fcfe:7d00::/24 | fcfe:7dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fcfe:7e00::/24 | fcfe:7eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fcfe:7f00::/24 | fcfe:7fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fcfe:8000::/24 | fcfe:80ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fcfe:8100::/24 | fcfe:81ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fcfe:8200::/24 | fcfe:82ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fcfe:8300::/24 | fcfe:83ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fcfe:8400::/24 | fcfe:84ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fcfe:8500::/24 | fcfe:85ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fcfe:8600::/24 | fcfe:86ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fcfe:8700::/24 | fcfe:87ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fcfe:8800::/24 | fcfe:88ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fcfe:8900::/24 | fcfe:89ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fcfe:8a00::/24 | fcfe:8aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fcfe:8b00::/24 | fcfe:8bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fcfe:8c00::/24 | fcfe:8cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fcfe:8d00::/24 | fcfe:8dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fcfe:8e00::/24 | fcfe:8eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fcfe:8f00::/24 | fcfe:8fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fcfe:9000::/24 | fcfe:90ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fcfe:9100::/24 | fcfe:91ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fcfe:9200::/24 | fcfe:92ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fcfe:9300::/24 | fcfe:93ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fcfe:9400::/24 | fcfe:94ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fcfe:9500::/24 | fcfe:95ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fcfe:9600::/24 | fcfe:96ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fcfe:9700::/24 | fcfe:97ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fcfe:9800::/24 | fcfe:98ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fcfe:9900::/24 | fcfe:99ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fcfe:9a00::/24 | fcfe:9aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fcfe:9b00::/24 | fcfe:9bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fcfe:9c00::/24 | fcfe:9cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fcfe:9d00::/24 | fcfe:9dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fcfe:9e00::/24 | fcfe:9eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fcfe:9f00::/24 | fcfe:9fff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fcfe:a000::/24 | fcfe:a0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fcfe:a100::/24 | fcfe:a1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fcfe:a200::/24 | fcfe:a2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fcfe:a300::/24 | fcfe:a3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fcfe:a400::/24 | fcfe:a4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fcfe:a500::/24 | fcfe:a5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fcfe:a600::/24 | fcfe:a6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fcfe:a700::/24 | fcfe:a7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fcfe:a800::/24 | fcfe:a8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fcfe:a900::/24 | fcfe:a9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fcfe:aa00::/24 | fcfe:aaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fcfe:ab00::/24 | fcfe:abff:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fcfe:ac00::/24 | fcfe:acff:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fcfe:ad00::/24 | fcfe:adff:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fcfe:ae00::/24 | fcfe:aeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fcfe:af00::/24 | fcfe:afff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fcfe:b000::/24 | fcfe:b0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fcfe:b100::/24 | fcfe:b1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fcfe:b200::/24 | fcfe:b2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fcfe:b300::/24 | fcfe:b3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fcfe:b400::/24 | fcfe:b4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fcfe:b500::/24 | fcfe:b5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fcfe:b600::/24 | fcfe:b6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fcfe:b700::/24 | fcfe:b7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fcfe:b800::/24 | fcfe:b8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fcfe:b900::/24 | fcfe:b9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fcfe:ba00::/24 | fcfe:baff:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fcfe:bb00::/24 | fcfe:bbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fcfe:bc00::/24 | fcfe:bcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fcfe:bd00::/24 | fcfe:bdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fcfe:be00::/24 | fcfe:beff:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fcfe:bf00::/24 | fcfe:bfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fcfe:c000::/24 | fcfe:c0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fcfe:c100::/24 | fcfe:c1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fcfe:c200::/24 | fcfe:c2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fcfe:c300::/24 | fcfe:c3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fcfe:c400::/24 | fcfe:c4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fcfe:c500::/24 | fcfe:c5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fcfe:c600::/24 | fcfe:c6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fcfe:c700::/24 | fcfe:c7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fcfe:c800::/24 | fcfe:c8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fcfe:c900::/24 | fcfe:c9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fcfe:ca00::/24 | fcfe:caff:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fcfe:cb00::/24 | fcfe:cbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fcfe:cc00::/24 | fcfe:ccff:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fcfe:cd00::/24 | fcfe:cdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fcfe:ce00::/24 | fcfe:ceff:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fcfe:cf00::/24 | fcfe:cfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fcfe:d000::/24 | fcfe:d0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fcfe:d100::/24 | fcfe:d1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fcfe:d200::/24 | fcfe:d2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fcfe:d300::/24 | fcfe:d3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fcfe:d400::/24 | fcfe:d4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fcfe:d500::/24 | fcfe:d5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fcfe:d600::/24 | fcfe:d6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fcfe:d700::/24 | fcfe:d7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fcfe:d800::/24 | fcfe:d8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fcfe:d900::/24 | fcfe:d9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fcfe:da00::/24 | fcfe:daff:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fcfe:db00::/24 | fcfe:dbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fcfe:dc00::/24 | fcfe:dcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fcfe:dd00::/24 | fcfe:ddff:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fcfe:de00::/24 | fcfe:deff:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fcfe:df00::/24 | fcfe:dfff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fcfe:e000::/24 | fcfe:e0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fcfe:e100::/24 | fcfe:e1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fcfe:e200::/24 | fcfe:e2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fcfe:e300::/24 | fcfe:e3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fcfe:e400::/24 | fcfe:e4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fcfe:e500::/24 | fcfe:e5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fcfe:e600::/24 | fcfe:e6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fcfe:e700::/24 | fcfe:e7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fcfe:e800::/24 | fcfe:e8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fcfe:e900::/24 | fcfe:e9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fcfe:ea00::/24 | fcfe:eaff:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fcfe:eb00::/24 | fcfe:ebff:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fcfe:ec00::/24 | fcfe:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fcfe:ed00::/24 | fcfe:edff:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fcfe:ee00::/24 | fcfe:eeff:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fcfe:ef00::/24 | fcfe:efff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fcfe:f000::/24 | fcfe:f0ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fcfe:f100::/24 | fcfe:f1ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fcfe:f200::/24 | fcfe:f2ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fcfe:f300::/24 | fcfe:f3ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fcfe:f400::/24 | fcfe:f4ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fcfe:f500::/24 | fcfe:f5ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fcfe:f600::/24 | fcfe:f6ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fcfe:f700::/24 | fcfe:f7ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fcfe:f800::/24 | fcfe:f8ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fcfe:f900::/24 | fcfe:f9ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fcfe:fa00::/24 | fcfe:faff:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fcfe:fb00::/24 | fcfe:fbff:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fcfe:fc00::/24 | fcfe:fcff:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fcfe:fd00::/24 | fcfe:fdff:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fcfe:fe00::/24 | fcfe:feff:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fcfe:ff00::/24 | fcfe:ffff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |